PT BMS MIGRATION & ENHANCEMENT - Feature #1239
[ ESS TRAVEL ] Parameter Kondisi "cond_DivHead"

06/14/2022 04:46 PM - ericsson ericsson

Status: Closed Start date: 06/14/2022
Priority: Urgent Due date:

Assignee: ericsson ericsson % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear, Pak Yusuf dan tim.
Mohon bantuannya untuk membuatkan parameter pada task kondisi berikut ini :

TaskID : cond_DivHead
BizFLowID : MD_Travel

Dengan ketentuan sebagai berikut :

a. ValueFrom 0 = Jika organisasi level creator bukan merupakan divisi head / regional head
b. ValueFrom 1 = Jika organisasi level creator adalah divisi head / regional head

Port : http:/remote.minovais.com:31134

Terima Kasih.

History

#1 - 06/14/2022 04:46 PM - ericsson ericsson

- Status changed from New to Assigned
#2 - 06/15/2022 08:41 AM - Mr. Yusuf
ericsson ericsson wrote:
Dear, Pak Yusuf dan tim.
Mohon bantuannya untuk membuatkan parameter pada task kondisi berikut ini :

TaskID : cond_DivHead
BizFLowlID : MD_Travel

Dengan ketentuan sebagai berikut :

a. ValueFrom 0 = Jika organisasi level creator bukan merupakan divisi head / regional head
b. ValueFrom 1 = Jika organisasi level creator adalah divisi head / regional head

Port : http://remote.minovais.com:31134

Terima Kasih.

Dicapture Flownya, lalu ditandai conditionnya utk dokumentasi disini.
ORGANISASI LEVEL Division Head, Regional Head? Atau maksudnya jika Creatornya POSISInya Division Head/Regional Head?

Sample datanya untuk yg memenuhi/tidak memenuhi kondisi itu employeeid berapa aja?

#3 - 06/15/2022 09:37 AM - Mr. Yusuf
- Status changed from Assigned to QA Test

#4 - 06/15/2022 10:12 AM - Mr. Yusuf
- Subject changed from [ ESS ] Parameter Kondisi "cond_DivHead" to [ ESS TRAVEL ] Parameter Kondisi "cond_DivHead"
#5 - 06/15/2022 10:17 AM - Mr. Yusuf

Mr. Yusuf wrote in #note-2:

ericsson ericsson wrote:
Dear, Pak Yusuf dan tim.
Mohon bantuannya untuk membuatkan parameter pada task kondisi berikut ini :

TasklID : cond_DivHead
BizFLowlID : MD_Travel

Dengan ketentuan sebagai berikut :

a. ValueFrom 0 = Jika organisasi level creator bukan merupakan divisi head / regional head
b. ValueFrom 1 = Jika organisasi level creator adalah divisi head / regional head

Port : http://remote.minovais.com:31134

Terima Kasih.

Dicapture Flownya, lalu ditandai conditionnya utk dokumentasi disini.
ORGANISASI LEVEL Division Head, Regional Head? Atau maksudnya jika Creatornya POSISInya Division Head/Regional Head?

Sample datanya untuk yg memenuhi/tidak memenuhi kondisi itu employeeid berapa aja?

Jika DS1nya adalah DIVHEAD/REGHEAD belum ada CONDITIONnya?
Masukin aja di Condition Approval NHA (cond_NHA) jadi:

0: ke-DS2

1: ke-DIV/REGHEAD

2: ke-HC

#6 - 06/15/2022 11:11 AM - ericsson ericsson
- File clipboard-202206151054-egn0Ok.png added
- Status changed from QA Test to Assigned

#7 - 06/15/2022 12:01 PM - ericsson ericsson
- File deleted (clipboard-202206151054-egn0Ok.png)

#8 - 06/15/2022 12:15 PM - ericsson ericsson
- File clipboard-202206151202-uoes7.png added

Deatil sebagai berikut :
1. value 0 = Jika Craetornya bukan Head dari OrganisasiLevel 02/Divisi & 03/Regional. (EX. EmpID = "00009864" UserLogin= "staff1")

2. Value 1 = Jika DS1 nya adalah Head dari OrganisasiLevel 02/Divisi & 03/Regional. (EX. EmpID = "00009870" UserLogin= "ds2")
3. Value 2 = Jika Craetornya Adalah Head dari OrganisasiLevel 02/Divisi & 03/Regional. (EX. EmpID = "00009871" UserLogin= "ds3")
#9 - 06/15/2022 02:20 PM - Mr. Yusuf

ericsson ericsson wrote:
Dear, Pak Yusuf dan tim.
Mohon bantuannya untuk membuatkan parameter pada task kondisi berikut ini :

TaskID : cond_DivHead
BizFLowlID : MD_Travel

Dengan ketentuan sebagai berikut :

a. ValueFrom 0 = Jika organisasi level creator bukan merupakan divisi head / regional head
b. ValueFrom 1 = Jika organisasi level creator adalah divisi head / regional head

Port : http://remote.minovais.com:31134

Terima Kasih.

Untuk Task Condition yg Approvalnya ada DIV/REG Headnya, di PCMWFDEFTASK field TaskParameter diisi YN_IsDivRegHead.
Di PCMWFDEFTASKCON untuk ValueFromnya diisi:

0: creator/yg approve adalah DIV/REG HEAD

1: Atasannya Creator/Atasannya yg Approve adalah DIV/REG HEAD

2: Atasannya Creator/Atasannya yg Approve levelnya dibawah DIV/REG HEAD

#10 - 06/15/2022 02:20 PM - Mr. Yusuf
- Status changed from Assigned to QA Test

#11 - 06/15/2022 07:05 PM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to ericsson ericsson

#12 - 06/17/2022 04:18 PM - ericsson ericsson
- Status changed from QA Test to Closed
